#include "extension/Extension.h"

#include "CurveDataTranslator.h"

extern "C"
{
    DLLEXPORT void initializeExtension(CExtension &extension)
    {
        MStatus status;
        extension.Requires("xgenToolkit");
        extension.RegisterTranslator("apCurveSample",
                                     "",
                                     CCurveDataTranslator::creator,
                                     CCurveDataTranslator::NodeInitializer);
    }
}